
The Hammer - Bug #98

Statusbar line number is not updated when using line up/down select

02/06/2018 03:48 PM - Wil van Antwerpen

Status: Closed Start date: 02/06/2018

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Description

When using Shift+Up/Down arrow to select a text, the line number in the status bar does not get updated.

History

#1 - 02/06/2018 03:49 PM - Wil van Antwerpen

The same thing happens with Shift+Page up/down.

#2 - 04/05/2018 09:02 PM - Wil van Antwerpen

- Status changed from New to Resolved

This is because the code for updating the cursor position (cEditorEdit.pkg in method onSelChange) depends on the old codemax logic CM_GetSel.

The idea was that the end line and position of the selection (or not selection) would be correct.

That's a false premise now with our selection, we can add code to make it work in the old codemax style, but it was easier to just get the actual line

and column of the cursor.

#3 - 04/06/2018 02:36 PM - Wil van Antwerpen

- Status changed from Resolved to Closed
